main/redis: security upgrade to 7.0.4

fixes CVE-2022-31144 affecting Redis versions 7.0.0 or newer
8 jobs for !36594 with security-redis-3.16 in 1 minute and 47 seconds (queued for 1 second)
merge request